<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.custom.Marque_Bean"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.Marque_Bean" id="Marque_" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	

	try {
	    id = Marque_.getID();
	} catch (FieldNotInitializedException fnie) {}

	
	String apercuID = null;
	try {
		apercuID = Marque_.getMa_Picto();
	} catch (FieldNotInitializedException e) {
	}
	
	 String desActID = null;
     try {
     	desActID = dico.getRefIdByCode("Mar", "Te1", "INA");
     } catch (FieldNotInitializedException e) {
     }
     
     String statusID = "";
 	 try {
 		statusID = Marque_.getMa_Status();
 	 } catch (FieldNotInitializedException e) {
 	 }
%>

<script type="text/javascript" language="javascript">
<%if (apercuID != null) {%>

var fois = 0;
var apercu;

function afficheImage() {
	if (fois != 0) {
		return;
	}
	
	var apercuWidth = (apercu.width < 500 ? 500 : apercu.width + 50);
	var apercuHeight = ((apercu.height + 100) < 300 ? 300 : (apercu.height + 100));

	var ouvrirImage = window.open('<fl:webapp/>/sales/photo_/showApercu.jsp?id=<%=apercuID%>','photoWindow','toolbar=0,location=0,menuBar=0,scrollbars=0,resizable=1,width=' + apercuWidth + ',height=' + apercuHeight);
	fois=1;
}

function doOnLoad() {
	apercu = new Image();
	apercu.src = '<fl:webapp/>/download?id=<%=apercuID%>';
	
	// Sometimes, for an unknown reason, we have to do it twice 
	if (apercu.width == 0 && apercu.height == 0) {
		apercu = new Image();
		apercu.src = '<fl:webapp/>/download?id=<%=apercuID%>';
	}
}

function doRefresh() {
	window.top.location.reload();	
}
<%}%>
	
</script>

<fl:bigTabs objectTitle="<%=Utils.getMessage(session, \"LF001\", false, true, \"Marque\")%>" ou="<%= \"read_marque_.fl\" + (id != null ? \"?id=\" + id : \"\")%>" >
    <table class="container" cellpadding="0">
		<tr>
			<td colspan="5" width="100%">
				<table>
					<tr>					
						<td style="width: 100%" class="titreFiche">
							<%= Marque_.getMa_Nom() %>
							<span id="linkscounter" style="display:none;">
								<img src="" class="icon" name="icon" border="0" width="17" height="17" style="vertical-align:baseline;" title="<fl:getMessage code="L6182" alt="Liens"/>">
								<a href="javascript:openLink();">
									<sup style="font-size: 11px;">
										<span id="linksnumber">#</span>
									</sup>
								</a>
							</span>
						</td>
					</tr>
				</table>
			</td>
		</tr>
    	
    	<tr><td colspan="5" class="ligne_separation"/></tr>

		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr class="fieldline">
						<td id="Apercu_label" class="dataLabel"><fl:label code="FF238" label="Pictogramme"/></td>
						<td id="Apercu_value" class="dataValue">
						<%if(apercuID != null) { %>
							<!-- <img alt="test" src='<fl:webapp/>/download?id=<%=apercuID%>' onclick="javascript:afficheImage()" height="300" width="500"> -->
							<img alt="test" src='<fl:webapp/>/download?id=<%=apercuID%>' height="20" width="20">
							<%} %>
						</td>
					</tr>
						<fl:fieldRead property="Ma_Status" />
						<fl:fieldRead property="Ma_Mpar" separator="<br>" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_marque_.fl\") %>"/>
						<fl:fieldRead property="Ma_CodeGuide_" />
				</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			
			<td class="column2">
				<table class="data_column" cellpadding="0">
						<fl:fieldRead property="Ma_Dda"/>
						<% if( statusID.equalsIgnoreCase(desActID)) { %>
						<fl:fieldRead property="Ma_Dfa"/>
							<%} %>	
				</table>
			</td>
		</tr>
		<tr class="ligne_separation"><td></td></tr>
    	
	</table>
	<fl:notes name="Ma_Comm" title="<%= Utils.getMessage(session, \"L64B4\", \"Commentaires\") %>" nbPix="32"><fl:getProperty name="Marque_" property="Ma_Comm" alt="&nbsp;" edit="false" /></fl:notes>
	<fl:smallTabs name="Marque__Tabs">
	<fl:sTab id="STab1" title="Produits d'appartenance">
		<table class="container" cellpadding="0">
 					<fl:fieldRead property="Ma_ComPdt" /> 
<%-- 		<fl:notes name="Ma_ComPdt" title="<%= Utils.getMessage(session, \"L64B4\", \"Commentaires\") %>" nbPix="32"><fl:getProperty name="Marque_" property="Ma_ComPdt" alt="&nbsp;" edit="false" /></fl:notes> --%>
		</table>
	</fl:sTab>
	
	<fl:sTab id="Stab2" title="Equipements pr-requis">
		<table class="container" cellpadding="0">
<%-- 	<fl:notes name="Ma_ComEqp" title="<%= Utils.getMessage(session, \"L64B4\", \"Commentaires\") %>" nbPix="32"><fl:getProperty name="Marque_" property="Ma_ComEqp" alt="&nbsp;" edit="false" /></fl:notes>		 --%>
					<fl:fieldRead property="Ma_ComEqp" /> 
		</table>
	</fl:sTab>
	
	<fl:sTab id="ATTACHMENT" title="Fichiers">
		<table class="container" cellpadding="0">
				<fl:attach name="Marque_" colID="Ma_FichID" edit="false" />
		</table>		
	</fl:sTab>


</fl:smallTabs>
</fl:bigTabs>
