<%/******************************************************************************
 * Copyright (c) 2000-2005 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.DataDictionary" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.custom.Photo_Bean"%>
<%@ page import="com.edeal.frontline.EnterpriseBean"%>
<%@page import="com.edeal.frontline.helper.custom.EnterpriseHelper"%>
<%@ page import="java.util.Date" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.custom.Photo_Bean" id="Photo_" scope="request"/>
<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	String id = null;
	

	try {
	    id = Photo_.getID();
	} catch (FieldNotInitializedException fnie) {}
	
	
	// Date de la pohto
	Date datePh = null;;
	try {
		datePh = (Date) Photo_.getCustomProperty("Po_DateAjout");
	} catch (FieldNotInitializedException e) {
		 // Date du jour :
	    Date dateDuJour = new Date();
	    Photo_.setPo_DateAjout(dateDuJour);
	}
	
	// voir si le Tiers a deja une photo de type guide national
	String pTiers = null;
	
	try {
		pTiers = Photo_.getPo_Tiers();
	} catch (FieldNotInitializedException fnie) {}
	String valRest ="";
	if(pTiers != null) {
		/*EnterpriseBean ent = new EnterpriseBean(pTiers , context);
		EnterpriseHelper eth = new EnterpriseHelper(ent);	
		valRest = eth.existeGuideNational(ent);*/
		valRest = EnterpriseHelper.getExceptValuesforguideNationalPhotos(context,pTiers,id);
	}
	
	String guideNatID = null; // National
    try {
    	guideNatID = dico.getRefIdByCode("Ph_", "Te1", "NATIONAL");
    } catch (Exception e) {
    }
	
	try{
	if (Photo_.getPo_Qualification().contains(guideNatID))
		valRest="";
	} catch (Exception e) {
    }
	
%>
<script type="text/javascript" language="javascript">
	function doSubmit() {
		var f = document.forms[0];		
		return true;
	}
	
	function createAndContinue() {
		var f = document.forms[0];
		f.action = "continue_photo_.fl?initPo_Tiers=<%= pTiers %>";
		submit();
	}
	
	function selectOnlyOne(id) {
		$( "input[name='Po_Qualification']" ).prop("checked", false);
		document.getElementById(id).checked = true;
	}
</script>
<fl:form action="save_photo_.fl" bean="Photo_">
<fl:bigTabs objectTitle="Photo" ou="<%= \"edit_photo_.fl\" + (id != null ? \"?id=\" + id : \"\")%>" >
    <table class="container" cellpadding="0">
		<tr class="fieldLine">
			<td colspan="5" width="100%">
				<table>
					<tr>		
						<td><fl:label field="Po_Title" labelClassName="labelTitreFiche" code="F7064"/></td>			
						<td class="fieldTitreFiche">
							<fl:input property="Po_NomPhoto" mandatoryMsgCode="M3001"/>
							
						</td>
					</tr>
				</table>
			</td>
		</tr>

		<tr class="ligne_separation"><td></td></tr>
		<tr>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr class="fieldline">
						<td class="dataLabel">
							<fl:label field="Po_Apercu" code="F600A"/>
						</td>
						<td class="dataValue">
							<fl:attach name="Photo_" colID="Po_Apercu" edit="true" allowedExtensions="'jpg', 'jpeg', 'png', 'gif'"/>
						</td>
					</tr>

					<!-- <fl:fieldEdit property="Po_LienPhoto" mandatoryMsgCode="MF02F"/> -->
					<fl:fieldEdit property="Po_LienPhoto" />
					<fl:fieldEdit property="Po_LienPhotoExt"/>	
					<tr><td colspan="5" class="ligne_separation"/></tr>				
						<fl:fieldEdit property="Po_DateAjout" mandatoryMsgCode="MF02E"/>										
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<!-- <fl:fieldEdit property="Po_AuteurImage" mandatoryMsgCode="MF07B"/> -->
					<fl:fieldEdit property="Po_AuteurImage"/>
					<fl:fieldEdit property="Po_Tiers"/>
					<!--
					<fl:fieldEdit property="Po_FlagCommunication" mandatoryMsgCode="MF07D"/>
					<fl:fieldEdit property="Po_FlagComite" mandatoryMsgCode="MF07E"/> -->
					<fl:fieldEdit property="Po_FlagCommunication"/>
					<fl:fieldEdit property="Po_FlagComite"/>
					</table>
			</td>
			<td class="separation"><div class="separation"></div></td>
			<td class="column2">
				<table class="data_column" cellpadding="0">
					<tr><td colspan="5" class="ligne_separation"/></tr>
					<!-- 
					<fl:fieldEdit property="Po_DroitsUtilisation" mandatoryMsgCode="M3001"/>
					 -->
					<fl:fieldEdit property="Po_Qualification" except="<%=valRest%>" onchange="selectOnlyOne(this.id);"/>
					<fl:fieldEdit property="Po_TagsMV"/>
				</table>
			</td>			
		</tr>
		<tr class="ligne_separation"><td></td></tr>
	</table>
	<table class="container" cellpadding="0">
	<tr class="ligne_separation"><td></td></tr>
			<tr>
				<td class="titrePartie"><fl:getMessage code="L64B4" alt="Commentaires"/></td>
			</tr>
		<tr>
			<td class="dataValue noPaddingLeft">
				<fl:input property="Po_Commentaires" style="width:100%" nodiv="false" type="textarea" rows="50"/>
			</td>
		</tr>
	</table>
</fl:bigTabs>
</fl:form>